---
title: "VPC Routes"
description: "Create and manipulate routing rules."
url: https://community.exoscale.com/reference/api/networking/vpc/vpc-routes/
section: reference
last_updated: 2026-10-29
---
> For AI agents: the documentation index is at https://community.exoscale.com/llms.txt. Every page is available as markdown at `<page URL>index.md` or with `Accept: text/markdown`.

# VPC Routes

Create and manipulate routing rules

[Read more](https://community.exoscale.com/product/networking/vpc)

## <span data-label="POST" class="pill-POST"></span>create-route

Create a route

```
POST /vpc/{vpc-id}/subnet/{subnet-id}/route
```

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `vpc-id` | `path` | Must be a valid UUID. |
| `subnet-id` | `path` | Must be a valid UUID. |

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `destination` | string | **yes** | The CIDR used to match on which packets the routing rule should be applied |
| `target` | string | **yes** | Where the packets should be sent to. More details on the format can be found here https://community.exoscale.com/product/networking/vpc/how-to/using-routing-rules/ |
| `description` | string | no | Max length: `4096`. |

<details>
<summary>Example</summary>

```json
{
  "description": "string",
  "destination": "string",
  "target": "string"
}
```
</details>


### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `description` | string | Max length: `4096`. |
| `destination` | string | The CIDR used to match on which packets the routing rule should be applied |
| `id` | string | Must be a valid UUID. |
| `kind` | string | Allowed values: `Subnet`, `Vpc`. |
| `target` | string | Where the packets should be sent to |

<details>
<summary>Example output</summary>

```json
{
  "description": "string",
  "destination": "string",
  "id": "a1b2c3d4-e5f6-4a5b-8c9d-0123456789ab",
  "kind": "Subnet",
  "target": "string"
}
```
</details>


SDK reference for `create-route`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.CreateRoute) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.create_route) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#createRoute(java.util.UUID,java.util.UUID,com.exoscale.sdk.model.CreateRouteRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/index.md): `exo api create-route`

## <span data-label="DELETE" class="pill-DELETE"></span>delete-route

Delete a route

```
DELETE /vpc/{vpc-id}/subnet/{subnet-id}/route/{id}
```

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `vpc-id` | `path` | Must be a valid UUID. |
| `subnet-id` | `path` | Must be a valid UUID. |
| `id` | `path` | Must be a valid UUID. |

### Responses

Status: `204` - 204


SDK reference for `delete-route`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.DeleteRoute) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.delete_route) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#deleteRoute(java.util.UUID,java.util.UUID,java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/index.md): `exo api delete-route`


---

## Other Operations

## <span data-label="GET" class="pill-GET"></span>list-routes

List Subnet routes

```
GET /vpc/{vpc-id}/subnet/{subnet-id}/route
```

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `vpc-id` | `path` | Must be a valid UUID. |
| `subnet-id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `routes` | array of [Route](https://community.exoscale.com/reference/api/_schemas/list-route-entry/index.md) |  |

<details>
<summary>Example output</summary>

```json
{
  "routes": [
    {
      "description": "string",
      "destination": "string",
      "id": "a1b2c3d4-e5f6-4a5b-8c9d-0123456789ab",
      "kind": "Subnet",
      "target": "string"
    }
  ]
}
```
</details>


SDK reference for `list-routes`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.ListRoutes) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.list_routes) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#listRoutes(java.util.UUID,java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/index.md): `exo api list-routes`

## <span data-label="GET" class="pill-GET"></span>list-vpc-routes

List VPC routes

```
GET /vpc/{vpc-id}/route
```

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `vpc-id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `routes` | array of [Route](https://community.exoscale.com/reference/api/_schemas/list-route-entry/index.md) |  |

<details>
<summary>Example output</summary>

```json
{
  "routes": [
    {
      "description": "string",
      "destination": "string",
      "id": "a1b2c3d4-e5f6-4a5b-8c9d-0123456789ab",
      "kind": "Subnet",
      "target": "string"
    }
  ]
}
```
</details>


SDK reference for `list-vpc-routes`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.ListVpcRoutes) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.list_vpc_routes) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#listVpcRoutes(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/index.md): `exo api list-vpc-routes`


